#! /bin/sh
# /etc/init.d/nas: start or stop the Network Audio System.

test -f /usr/bin/nasd || exit 0

if test -f /etc/default/nas; then
    . /etc/default/nas
fi

case "$1" in
  start)
    echo Starting the Network Audio System
    start-stop-daemon --start --quiet --startas /usr/bin/start-nas \
						--exec /usr/bin/nasd -- $NASD_OPTS
    ;;
  stop)
    echo Stopping the Network Audio System
    start-stop-daemon --stop --quiet --exec /usr/bin/nasd
    ;;
  restart|force-reload)
    echo Restarting the Network Audio System
    start-stop-daemon --stop --quiet --exec /usr/bin/nasd
    start-stop-daemon --start --quiet --startas /usr/bin/start-nas \
						--exec /usr/bin/nasd -- $NASD_OPTS
    ;;
  *)
    echo "Usage: /etc/init.d/nas {start|stop|restart|force-reload}"
    exit 1
esac

exit 0
